# draugr.torch_utilities.persistence.model.save_model

draugr.torch_utilities.persistence.model.save_model(model: Module, *, model_name: str, save_directory: Path, config_file_path: Path = None, prompt_on_failure: bool = True, verbose: bool = False, config_save_path: Path = None, loaded_config_file_path: Path = None, raise_on_existing: bool = False) → None

  save a model with a timestamp appendix to later to loaded

  Parameters

    - prompt_on_failure –

    - verbose –

    - model –

    - save_directory –

    - config_file_path –

    - model_name –

  Returns